#include "Snake.h"

Snake::Snake(const Location & loc)
{
	segments[0].InitHead(loc);
}

void Snake::MoveBy(const Location & delta_loc) {
	for (int i = nSegments - 1; i > 0; i--) {
		segments[i].Follow(segments[i - 1]);
	}
	segments[0].MoveBy(delta_loc);
}

void Snake::Draw(Board & brd)  {
	for (int i = 0; i < nSegments; i++) {
		segments[i].Draw(brd);
	}
	
}

void Snake::Grow() {
	if (nSegments < nSegmentsMax) {
		nSegments++;
	}
	
}

void Snake::Segment::MoveBy(const Location & delta_loc) {
	loc.x += delta_loc.x;
	loc.y += delta_loc.y;
}
