#pragma once
#include "Board.h"
class Snake {
private: 
	
	class Segment {
	public:
		Segment();
		void MoveBy(const Location& delta_loc);
		void InitHead(const Location & loc);
		void InitBody();
		void Follow(const Segment& next);
		void Draw(Board& brd);
	private:
		Color c;
		Location loc;
	};

private:
	static constexpr int nSegmentsMax = 100;
	Segment segments[nSegmentsMax];
	int nSegments = 1;
	static constexpr Color Headcolor = Colors::Yellow;
	static constexpr Color Bodycolor = Colors::Gray;
public:
	Snake(const Location& loc);
	void MoveBy(const Location& delta_loc);
	void Draw(Board & brd);
	void Grow();
	

};